package com.ruoyi.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 告警管理对象 warn_manage
 * 
 * @author boman
 * @date 2025-06-19
 */
public class WarnManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 告警ID */
    private Long warnId;

    /** 设备ID */
    private Long equipmentId;

    /** 设备ip */
    @Excel(name = "设备ip")
    private String equipmentIp;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String equipmentName;

    /** 通道ID */
    @Excel(name = "通道ID")
    private Long channelId;

    /** 通道编号 */
    @Excel(name = "通道编号")
    private String channelNum;

    /** 算法类型 0:离岗 1：玩手机 */
    @Excel(name = "算法类型 0:离岗 1：玩手机")
    private String algorithmType;

    /** 算法参数设置的值 */
    @Excel(name = "算法参数设置的值")
    private String parameterSet;

    /** 告警视频地址 */
    @Excel(name = "告警视频地址")
    private String videoAddress;

    /** 告警预览图片 */
    @Excel(name = "告警预览图片")
    private String warnImage;
    /**
     * 区域名称（画框）
     */
    private String rangName;

    /** 上报状态 0:成功 1：失败 */
    @Excel(name = "上报状态 0:成功 1：失败")
    private String reportStatus;

    /** 告警时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "告警时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date warnTime;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    /** 部门ID */
    private Long deptId;

    /** 部门名称 */
    private String deptName;

    public Long getEquipmentId() {
        return equipmentId;
    }

    public void setEquipmentId(Long equipmentId) {
        this.equipmentId = equipmentId;
    }

    public String getRangName() {
        return rangName;
    }

    public void setRangName(String rangName) {
        this.rangName = rangName;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setWarnId(Long warnId)
    {
        this.warnId = warnId;
    }

    public Long getWarnId() 
    {
        return warnId;
    }

    public void setEquipmentIp(String equipmentIp) 
    {
        this.equipmentIp = equipmentIp;
    }

    public String getEquipmentIp() 
    {
        return equipmentIp;
    }

    public void setEquipmentName(String equipmentName) 
    {
        this.equipmentName = equipmentName;
    }

    public String getEquipmentName() 
    {
        return equipmentName;
    }

    public void setChannelId(Long channelId) 
    {
        this.channelId = channelId;
    }

    public Long getChannelId() 
    {
        return channelId;
    }

    public void setChannelNum(String channelNum) 
    {
        this.channelNum = channelNum;
    }

    public String getChannelNum() 
    {
        return channelNum;
    }

    public void setAlgorithmType(String algorithmType) 
    {
        this.algorithmType = algorithmType;
    }

    public String getAlgorithmType() 
    {
        return algorithmType;
    }

    public void setParameterSet(String parameterSet) 
    {
        this.parameterSet = parameterSet;
    }

    public String getParameterSet() 
    {
        return parameterSet;
    }

    public void setVideoAddress(String videoAddress) 
    {
        this.videoAddress = videoAddress;
    }

    public String getVideoAddress() 
    {
        return videoAddress;
    }

    public void setWarnImage(String warnImage) 
    {
        this.warnImage = warnImage;
    }

    public String getWarnImage() 
    {
        return warnImage;
    }

    public void setReportStatus(String reportStatus) 
    {
        this.reportStatus = reportStatus;
    }

    public String getReportStatus() 
    {
        return reportStatus;
    }

    public void setWarnTime(Date warnTime) 
    {
        this.warnTime = warnTime;
    }

    public Date getWarnTime() 
    {
        return warnTime;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return "WarnManage{" +
                "warnId=" + warnId +
                ", equipmentId=" + equipmentId +
                ", equipmentIp='" + equipmentIp + '\'' +
                ", equipmentName='" + equipmentName + '\'' +
                ", channelId=" + channelId +
                ", channelNum='" + channelNum + '\'' +
                ", algorithmType='" + algorithmType + '\'' +
                ", parameterSet='" + parameterSet + '\'' +
                ", videoAddress='" + videoAddress + '\'' +
                ", warnImage='" + warnImage + '\'' +
                ", rangName='" + rangName + '\'' +
                ", reportStatus='" + reportStatus + '\'' +
                ", warnTime=" + warnTime +
                ", delFlag='" + delFlag + '\'' +
                ", deptId=" + deptId +
                ", deptName='" + deptName + '\'' +
                '}';
    }
}
